com.independentsoft.msg

## Enum ResponseStatus

- java.lang.Object
- - java.lang.Enum<ResponseStatus>
  - - com.independentsoft.msg.ResponseStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ResponseStatus>

      public enum ResponseStatus
      extends java.lang.Enum<ResponseStatus>

  Indicates the response to a meeting request.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPTED` Meeting accepted.
    `DECLINED` Meeting declined.
    `NONE` The appointment is a simple appointment and does not require a response.
    `NOT_RESPONDED` Recipient has not responded.
    `ORGANIZED` The appointment is on the Organizer's calendar or the recipient is the Organizer of the meeting.
    `TENTATIVE` Meeting tentatively accepted.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResponseStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResponseStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ORGANIZED

          public static final ResponseStatus ORGANIZED

      The appointment is on the Organizer's calendar or the recipient is the Organizer of the meeting.

    - #### TENTATIVE

          public static final ResponseStatus TENTATIVE

      Meeting tentatively accepted.

    - #### ACCEPTED

          public static final ResponseStatus ACCEPTED

      Meeting accepted.

    - #### DECLINED

          public static final ResponseStatus DECLINED

      Meeting declined.

    - #### NOT_RESPONDED

          public static final ResponseStatus NOT_RESPONDED

      Recipient has not responded.

    - #### NONE

          public static final ResponseStatus NONE

      The appointment is a simple appointment and does not require a response.

  - ### Method Detail

    - #### values

          public static ResponseStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResponseStatus c : ResponseStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResponseStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null